Bug 209436 - [maintainer update] cad/openvsp: update to 3.6.0
Summary: [maintainer update] cad/openvsp: update to 3.6.0
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Some People
Assignee: Jason Unovitch
URL:
Keywords: easy, patch, patch-ready
Depends on:
Blocks:
 
Reported: 2016-05-10 21:17 UTC by Fernando Apesteguía
Modified: 2016-05-12 14:10 UTC (History)
1 user (show)

See Also:


Attachments
Patch to the ports tree (18.03 KB, patch)
2016-05-10 21:17 UTC, Fernando Apesteguía
fernape: maintainer-approval+
Details | Diff
poudriere log on 10.1-RELEASE-amd64 (364.26 KB, text/x-log)
2016-05-10 21:17 UTC, Fernando Apesteguía
no flags Details
poudriere log on 10.3-RELEASE-amd64 (364.53 KB, text/x-log)
2016-05-10 21:18 UTC, Fernando Apesteguía
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Fernando Apesteguía freebsd_committer 2016-05-10 21:17:01 UTC
Created attachment 170190 [details]
Patch to the ports tree

The attached patch updates cad/openvsp to version 3.6.0.

Most of our patches have been removed but one that has been already sent upstream.

Release notes can be found here[1]

Attached logs for {10.3,10.1}amd64. The port doesn't build on 9.x since one of its dependencies has some c++11 compatibility issues.


[1] http://openvsp.org/blogs/announcements/2016/05/06/openvsp-3-6-0-released
Comment 1 Fernando Apesteguía freebsd_committer 2016-05-10 21:17:56 UTC
Created attachment 170191 [details]
poudriere log on 10.1-RELEASE-amd64
Comment 2 Fernando Apesteguía freebsd_committer 2016-05-10 21:18:25 UTC
Created attachment 170192 [details]
poudriere log on 10.3-RELEASE-amd64
Comment 3 commit-hook freebsd_committer 2016-05-12 14:08:17 UTC
A commit references this bug:

Author: junovitch
Date: Thu May 12 14:07:24 UTC 2016
New revision: 415065
URL: https://svnweb.freebsd.org/changeset/ports/415065

Log:
  cad/openvsp: update 3.5.2 -> 3.6.0

  Changes:	http://openvsp.org/blogs/announcements/2016/05/06/openvsp-3-6-0-released

  PR:		209436
  Submitted by:	fernando.apesteguia@gmail.com

Changes:
  head/cad/openvsp/Makefile
  head/cad/openvsp/distinfo
  head/cad/openvsp/files/patch-Libraries_cmake_External__libIGES.cmake
  head/cad/openvsp/files/patch-src_cfd__mesh_CMakeLists.txt
  head/cad/openvsp/files/patch-src_cmake_External__STEPCode.cmake
  head/cad/openvsp/files/patch-src_external_CMakeLists.txt
  head/cad/openvsp/files/patch-src_external_angelscript_sdk_CMakeLists.txt
  head/cad/openvsp/files/patch-src_external_glfont2_CMakeLists.txt
  head/cad/openvsp/files/patch-src_external_sixseries_CMakeLists.txt
  head/cad/openvsp/files/patch-src_external_triangle_CMakeLists.txt
  head/cad/openvsp/files/patch-src_external_tritri_CMakeLists.txt
  head/cad/openvsp/files/patch-src_fltk__screens_CMakeLists.txt
  head/cad/openvsp/files/patch-src_geom__api_CMakeLists.txt
  head/cad/openvsp/files/patch-src_geom__core_CMakeLists.txt
  head/cad/openvsp/files/patch-src_gui__and__draw_CMakeLists.txt
  head/cad/openvsp/files/patch-src_gui__and__draw_GroupLayout.h
  head/cad/openvsp/files/patch-src_gui__and__draw_MainVSPScreen.h
  head/cad/openvsp/files/patch-src_gui__and__draw_MenuItem.h
  head/cad/openvsp/files/patch-src_util_CMakeLists.txt
  head/cad/openvsp/files/patch-src_vsp__aero_CMakeLists.txt
  head/cad/openvsp/files/patch-src_vsp__graphic_CMakeLists.txt
  head/cad/openvsp/files/patch-src_vsp__graphic_src_Image.cpp
  head/cad/openvsp/files/patch-src_vsp__graphic_src_Scene.cpp
  head/cad/openvsp/files/patch-src_vsp__graphic_src_Shader.cpp
  head/cad/openvsp/files/patch-src_xmlvsp_CMakeLists.txt
  head/cad/openvsp/pkg-plist
Comment 4 Jason Unovitch freebsd_committer 2016-05-12 14:10:56 UTC
I changed BUILD_PREFIX to use the ${PORTVERSION} variable.  On the next update you won't have to the version in multiple places unless the path drastically changes.

Thanks!